<?xml version="1.0" encoding="utf-8" ?>
<information>
  <defaults>
  
    <actions>
      <action id="showdescription">
        document.title+="..."
      </action>
    </actions>
    
    <objects>
      <object id="box1">
        <name>A box</name>
        <description>It is nothing but a.. box.</description>
        <image>
          <dimensions>
            <width>60</width>
            <height>50</height>
          </dimensions>
          <address>objs/box1.png</address>
        </image>
        <position>
          <x>100</x>
          <y>70</y>
        </position>
        <actions>
          <action rel="showdescription"></action>
        </actions>
      </object>
    </objects>
  
    <characters>
      <character>
        <name>Simple arrows</name>
        <description>Simple arrows explaining how character movement works.</description>
        <image>
          <dimensions>
            <width>64</width>
            <height>48</height>
          </dimensions>
          <address>char/simplearrows.png</address>
        </image>
        <movement>
          <speed>10</speed>
          <directions>
            <topcenter>
              <row>1</row>
              <stand>1-2</stand>
              <walk>3-6</walk>
              <run>7-10</run>
            </topcenter>
            <topright>
              <row>2</row>
              <stand>1-2</stand>
              <walk>3-6</walk>
              <run>7-10</run>
            </topright>
            <middleright>
              <row>3</row>
              <stand>1-2</stand>
              <walk>3-6</walk>
              <run>7-10</run>
            </middleright>
            <bottomright>
              <row>4</row>
              <stand>1-2</stand>
              <walk>3-6</walk>
              <run>7-10</run>
            </bottomright>
            <bottomcenter>
              <row>5</row>
              <stand>1-2</stand>
              <walk>3-6</walk>
              <run>7-10</run>
            </bottomcenter>
            <bottomleft>
              <row>6</row>
              <stand>1-2</stand>
              <walk>3-6</walk>
              <run>7-10</run>
            </bottomleft>
            <middleleft>
              <row>7</row>
              <stand>1-2</stand>
              <walk>3-6</walk>
              <run>7-10</run>
            </middleleft>
            <topleft>
              <row>8</row>
              <stand>1-2</stand>
              <walk>3-6</walk>
              <run>7-10</run>
            </topleft>
          </directions>
        </movement>
      </character>
    </characters>
    
    <maps>
      <map>
        <name>The Sun</name>
        <description>The great star</description>
        <image>
          <dimensions>
            <width>640</width>
            <height>400</height>
            <viswidth>640</viswidth>
            <visheight>400</visheight>
          </dimensions>
          <address>maps/sun.png</address>
        </image>
        <objects>
          <object rel="box1"></object>
        </objects>
      </map>
    </maps>
  
  </defaults>
  
  <actions>
    <action state="default"></action>
    
    <action id="msg2">
      alert("Hmm...")
    </action>
  </actions>
  
  <objects>
    <object state="default"></object>
    
    <object id="box2">
      <name>A small box</name>
      <description>Aha! A small box!</description>
      <image>
        <dimensions>
          <width>30</width>
          <height>25</height>
        </dimensions>
        <address>objs/box2.png</address>
      </image>
      <position>
        <x>200</x>
        <y>100</y>
      </position>
      <actions>
        <action rel="msg2"></action>
      </actions>
    </object>
  </objects>

  <characters>
    <character state="default"></character>
    
    <character>
      <name>Wiz the Wizard</name>
      <description>A poorly drawn wizard, fighting against all evil.</description>
      <image>
        <address>char/wizard.png</address>
      </image>
    </character>
  </characters>
  
  <maps>
    <map state="default"></map>
    
    <map>
      <name>The valley of Sunshine</name>
      <description>Beams of light break through the sky.</description>
      <image>
        <address>maps/sunshine.png</address>
      </image>
    </map>
  </maps>
  
</information>